# Uses of Interface
org.apache.cxf.service.invoker.Invoker

Packages that use Invoker
Package
Description
org.apache.cxf.service
org.apache.cxf.service.invoker

- ## Uses of Invoker in org.apache.cxf.service

  Methods in org.apache.cxf.service that return Invoker
  Modifier and Type
  Method
  Description
  `Invoker`
  Service.`getInvoker()`
  `Invoker`
  ServiceImpl.`getInvoker()`
  Methods in org.apache.cxf.service with parameters of type Invoker
  Modifier and Type
  Method
  Description
  `void`
  Service.`setInvoker(Invoker invoker)`
  `void`
  ServiceImpl.`setInvoker(Invoker invoker)`

- ## Uses of Invoker in org.apache.cxf.service.invoker

  Classes in org.apache.cxf.service.invoker that implement Invoker
  Modifier and Type
  Class
  Description
  `class`
  `AbstractInvoker`
  Abstract implementation of Invoker.
  `class`
  `BeanInvoker`
  Invoker for externally created service objects.
  `class`
  `FactoryInvoker`
  This invoker implementation calls a Factory to create the service object.